Loading...
Searching...
No Matches
mongocxx::v_noabi::result::insert_many Class Reference

`#include <mongocxx/v_noabi/mongocxx/result/insert_many.hpp>`

## Description

The result of a MongoDB insert many operation.

## Public Member Functions

| insert_many (result::bulk_write result, bsoncxx::v_noabi::array::value inserted_ids)
| insert_many (v1::insert_many_result opts)
| Construct with the mongocxx::v1 equivalent.
std::int32_t | inserted_count () const
| Gets the number of documents that were inserted during this operation.
id_map | inserted_ids () const
| Gets the _ids of the inserted documents.
| operator v1::insert_many_result () const
| Convert to the mongocxx::v1 equivalent.
v_noabi::result::bulk_write const & | result () const
| Returns the bulk write result for this insert many operation.

## Constructor & Destructor Documentation

## insert_many() [1/2]

mongocxx::v_noabi::result::insert_many::insert_many | ( | v1::insert_many_result | opts | ) |

Construct with the mongocxx::v1 equivalent.

## insert_many() [2/2]

mongocxx::v_noabi::result::insert_many::insert_many | ( | result::bulk_write | result,
|  | bsoncxx::v_noabi::array::value | inserted_ids )

inline

Deprecated
  For internal use only.

## Member Function Documentation

## inserted_count()

std::int32_t mongocxx::v_noabi::result::insert_many::inserted_count | ( |  | ) | const

inline

Gets the number of documents that were inserted during this operation.

Returns
  The number of documents that were inserted.

## inserted_ids()

id_map mongocxx::v_noabi::result::insert_many::inserted_ids | ( |  | ) | const

inline

Gets the _ids of the inserted documents.

Note
  The returned id_map must not be accessed after the result::insert_many object is destroyed.

Returns
  Map of the index of the operation to the _id of the inserted document.

## operator v1::insert_many_result()

mongocxx::v_noabi::result::insert_many::operator v1::insert_many_result | ( |  | ) | const

explicit

Convert to the mongocxx::v1 equivalent.

## result()

v_noabi::result::bulk_write const & mongocxx::v_noabi::result::insert_many::result | ( |  | ) | const

inline

Returns the bulk write result for this insert many operation.

Returns
  The raw bulk write result.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/result/insert_many.hpp